#include "main.h"
#include "my_lcd.c"

void main()
{

   setup_adc_ports(sAN0|sAN1|VSS_VREF);
   setup_adc(ADC_CLOCK_INTERNAL|ADC_TAD_MUL_20);
   setup_spi(SPI_SS_DISABLED);
   setup_wdt(WDT_OFF);
   setup_timer_0(RTCC_INTERNAL|RTCC_DIV_256);
   setup_timer_1(T1_INTERNAL|T1_DIV_BY_8);     //   25 
   setup_timer_2(T2_DIV_BY_16,100,10);         //  1 ,  64 
   setup_timer_3(T3_DISABLED|T3_DIV_BY_1);
   setup_ccp1(CCP_OFF);
   setup_ccp2(CCP_COMPARE_RESET_TIMER);
   ccp_2=50000;    //      25 
   setup_comparator(NC_NC_NC_NC);// This device COMP currently not supported by the PICWizard
   enable_interrupts(INT_AD);
   enable_interrupts(INT_TIMER2);
   enable_interrupts(GLOBAL);
   setup_oscillator(OSC_16MHZ|OSC_INTRC|OSC_31250|OSC_PLL_ON);
   //setup_oscillator(OSC_16MHZ|OSC_NORMAL|OSC_PLL_ON);

   st_status.protect=0;
   set_tris_A(0xff);
   set_tris_B(0x00);
   set_tris_C(0xff);
   lcd_init();
   
   lcd_gotoxy(1,2);
   lcd_putc("Amper Max");
     
   while(1);            
   )